#include <avr/interrupt.h>
#include <avr/io.h>
#include "support.h"
#include "usart.h"
#include "rf12.h"

const char MSG_VERSION[] = "USB TEST\r\n";
//------------------------------------------------------------------------------

int main (void) 
{
	unsigned char test[100]=" \n";
	usart_init(); // Serielle Schnittstelle initialisieren
	DDRD = (1<<6)|(1<<4);

	PORTD |= (1<<6);
	PORTD |= (1<<4);
	
	//DDRB = (1<<3);
	//PORTB = (1<<3);
	
	usart_writeln_flash_str(MSG_VERSION); 

	rf12_init();					// ein paar Register setzen (z.B. CLK auf 10MHz)
	rf12_setfreq(RF12FREQ(433.92));	// Sende/Empfangsfrequenz auf 433,92MHz einstellen
	rf12_setbandwidth(5, 1, 4);		// 200kHz Bandbreite, -6dB Verstrkung, DRSSI threshold: -79dBm 
	rf12_setbaud(9600);				// 19200 baud
	rf12_setpower(0, 6);			// 1mW Ausgangangsleistung, 120k
	
  while(1)
  { 
	
	//rf12_txdata(test,13);
	//for(long a = 0;a<100000;a++){NOP();};
	
	while(!(rf12_rxdata(test)));
	
	usart_writeln_str((char*)test);
	
	
  }
}

